Summary: MagicPoint - an X11 based presentation tool
Name: magicpoint
%define version 1.05a
Version: %{version}
Release: 1a
Copyright: distributable
Group: X11/Applications/Graphics
Source: ftp://ftp.Mew.org/pub/MagicPoint/magicpoint-%{version}.tar.gz
Patch0: localhost:/magicpoint-%{version}-config.patch
Patch1: localhost:/magicpoint-%{version}-draw.patch
URL: http://www.Mew.org/mgp/
BuildRoot: /var/tmp/root-mgp
Distribution: Japanese RPM (JRPM)
Vendor: Linux Japanese RPM Project
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
#Packager: Atsushi Yamagata <yamagata@plathome.co.jp>
Summary(ja): MagicPoint - X11ǥץ쥼ơġ

%description
MagicPoint is an X11 based presentation tool.  It is designed to make
simple presentations easy while to make complicated presentations
possible.  Its presentation file (whose suffix is typically .mgp) is
just text so that you can create presentation files quickly with your
favorite editor (e.g. Emacs).

%description -l ja
MagicPointX11ǥץ쥼ơġǤǤʥץ쥼ơ
ưפˤ褦߷פޤʣʥץ쥼ơǤޤ
ʤߤΥǥ(㤨Emacs)ǥץ쥼ơե(γĥ
.mgp)򤹤˺Ǥ褦˥ץ쥼ơեñʤ
ȥեǤ

%prep
%setup
%patch0 -p1
%patch1 -p1

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -sf $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -sf $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.3
fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure
xmkmf
make Makefiles
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

%clean
rm -fr $RPM_BUILD_ROOT

%files
%doc COPYRIGHT* FAQ README* 
%doc SYNTAX TODO.jp USAGE* sample contrib
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*
/usr/X11R6/lib/X11/mgp/

%changelog
* Sat Jun 30 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to version 1.05a

* Sat Dec 26 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 3rd release
- patch to get around segfault in obj_draw (depth problem)

* Fri Oct  9 1998 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- patch to find VFlib library/header in /usr/lib

* Tue Aug  8 1998 Atsushi Yamagata <yamagata@plathome.co.jp>
- 1st release
- version up to 1.04a
- change package name: mgp -> magicpoint

* Fri Jul 17 1998 Atsushi Yamagata <yamagata@plathome.co.jp>
- 1st release
- version up to 1.03a

* Mon Jan 19 1998 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
